#pragma once

#include "GuiApplication.h"
#include "Scene.h"

#include <memory>

class TestUiApplication : public GuiApplication
{
public:
    TestUiApplication(std::unique_ptr<CommandLineArgs> args = nullptr, std::unique_ptr<MainApplication> mainApp = nullptr);

    DesktopManager* getDesktopManager() const;

    Scene* getMainWindowScene() const;
};